org.gradle.api.artifacts.repositories

## Interface AuthenticationSupported

- All Known Subinterfaces:
    IvyArtifactRepository, MavenArtifactRepository

      public interface AuthenticationSupported

  An artifact repository which supports username/password authentication.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `credentials(Closure closure)` Configure the Credentials for this repository using the supplied Closure.
    `PasswordCredentials` | `getCredentials()` Provides the Credentials used to authenticate to this repository.

- - ### Method Detail

    - #### getCredentials

          PasswordCredentials getCredentials()

      Provides the Credentials used to authenticate to this repository.
      Returns:
        The credentials

    - #### credentials

          void credentials(Closure closure)

      Configure the Credentials for this repository using the supplied Closure.

           repositories {
               maven {
                   credentials {
                       username = 'joe'
                       password = 'secret'
                   }
               }
           }